Accounts API

Authentication

NearPay uses API key as an authentication method.

Base URL

https://sandbox-api.nearpay.io/

Pagination

Please find the guide here in how to use pagination.

Postman Collection

Postman is an API development tool that helps you to test, document, and share API collections. We will share API collections that will help you to test all the endpoints.

Please follow these steps to import the collection in your Postman application:

  • Click here to download the collection.
  • You will find three files, the postman collection, the sandbox environment, and the production environment.
  • Open Postman and click on the import button.
  • Drag and drop on the popup window the nearpay postman collection file, along with either the sandbox or production environment file based on which environment you will test. You can import all of them if you want.
  • Click on the import button, then you will see the collection and inside of it you will find folders, each folder represents an endpoint that has its requests.
  • Add your api-key inside the sandbox environment, if you are testing on sandbox environment or add it inside production environment if you are testing on production environment.

Merchants

In this endpoint you will be able to create or list merchants.

POST/v1/clients-sdk/merchants

Create Merchant

Request

POST
/merchants
{
  "name": "example",
  "name_ar": "مثال",
  "reference_id": "",
  "user": { // optional - zorunlu değil
      "name": "merchant admin",
      "mobile": "+96656*******",
      "email": "a.****@nearpay.io"
  },
  "commercial_registration_number": "1234567890",
  "freelancer_id": "FL-123456789",
  "personal_id": "1234567890"

}

Response 200

  {
      "id": "5fb25312-056b-44b9-b7a0-314e6c4aa77c",
      "name": "example",
      "name_ar": "مثال",
      "reference_id": "",
      "user": {
          "id": "b4e45a36-dee4-4e16-be2c-e03471285a22",
          "name": "merchant admin",
          "mobile": "+96656*******",
          "email": "a.****@nearpay.io"
      }
  }

GET/v1/clients-sdk/merchants

List Merchants

Request

GET
/merchants
{}

Response 200

  {
    "merchants": [
        {
            "id": "a2bbc2b0-ce70-4508-bd8a-5d71d37dcc3a",
            "name": "Jeddah Branch",
            "name_ar": "فرع الدمام",
            "reference_id": null,
            "created_at": "2023-07-13T15:02:54.893Z"
        },
        {
            "id": "01e0e20e-5305-4f17-8668-91c739199dc7",
            "name": "Khobar Branch",
            "name_ar": "فرع الخبر",
            "reference_id": null,
            "created_at": "2023-07-13T14:34:45.722Z"
        },
        {
            "id": "2d527b01-bb24-40fe-ad95-7110c5104c62",
            "name": "Dammam Branch",
            "name_ar": "فرع الدمام",
            "reference_id": "1333",
            "created_at": "2023-07-17T09:04:07.423Z"
        }
    ],
    "pages": {
        "total": 1,
        "current": 1
    }
  }

GET/v1/clients-sdk/merchants/{id}

Find Merchant

Request

GET
/merchants/{id}
{}
{
    "merchant": {
        "id": "01e0e20e-5305-4f17-8668-91c739199dc7",
        "name": "Khobar Branch",
        "name_ar": "فرع الخبر",
        "status": "active",
        "reference_id": null,
        "has_policy": false,
        "created_at": "2023-07-13T14:34:45.722Z",
        "updated_at": "2023-07-18T09:16:34.207Z"
    }
}

Terminals

In this endpoint comes creating a new terminal, fetching terminals and disconnecting a particular terminal

Create Terminals

The terminal creation process consists of two steps:

POST /v1/clients-sdk/switch/terminals/lookup/:lookup_value

1- Terminal Lookup

First, you make a request with lookup_value to create the terminal. lookup_value is a value that uniquely identifies the terminal (for example, a serial number).

Request

POST
/switch/terminals/lookup/:lookup_value
{}
{
    "terminals": [
        {
            "tid": "2Q3UTD35",
            "mid": "000100000011252",
            "bank_name": "T.VAKIFLAR BANKASI T.A.O."

        },
        {
            "tid": "2Q3UTD23",
            "mid": "000100000011252",
            "bank_name": "Denizbank"

        }
    ]
}


POST /v1/clients-sdk/switch/terminals/commit

2- Terminal Creation

In the second step, you register the terminal to your Nearpay account using the terminal information returned from the first step.

Yine bir merchant oluşturma örneği ile terminal oluşturabilirsiniz:

Request

POST
/v1/clients-sdk/switch/terminals/commit
{
  "mid":"000100000011252",
  "serial_number":"NRP000001006",
  "merchant":{
      "name": "test",
  }
}

Mevcut bir merchant ile terminal oluşturma örneği:

Request

POST
/v1/clients-sdk/switch/terminals/commit
{
  "mid":"000100000011252",
  "serial_number":"NRP000001006",
  "merchant":{
      "id": "c21253a1-3283-4e51-bf2b-0ce258e21601"
  }
}
{
    "reference_terminal_id": "6a86fc08-342d-4d9c-99c0-40eca6600941",
    "tid": "NRP123487570",
    "acquirer_institution_identification_code": "0000",
    "client": {
        "id": "a6f1a058-faa3-42f9-a961-6d1e762532ce"
    },
    "merchant": {
        "id": "3e0dcaa3-999a-4c1c-bf5c-7d5b1ff37cc3",
        "reference_id": "000100000011252"
    },
    "terminal_profile_id": null,
    "name": null,
    "pulled_out_at": null,
    "id": "5beed33f-c5bd-4cf6-be28-b5bf247c7a46",
    "os_type": "android",
    "auto_reconcile": false,
    "device_limit": 1,
    "has_policy": false,
    "is_locked": false,
    "is_pulled_out": false,
    "rate_limit_excluded": false,
    "created_at": "2026-04-12T11:45:45.839Z",
    "updated_at": "2026-04-12T11:45:45.839Z",
    "mode": "pos",
    "is_radar_integrated": false,
    "client_id": "a6f1a058-faa3-42f9-a961-6d1e762532ce",
    "merchant_id": "3e0dcaa3-999a-4c1c-bf5c-7d5b1ff37cc3",
    "bank_terminals": [
        {
            "tid": "UI5IW019",
            "mid": "000100000011252",
            "bank_name": "T.VAKIFLAR BANKASI T.A.O.",
            "acquirer_id": "0015",
            "void_support": false,
            "installments_support": true,
            "loyalty_points_inquiry": true,
            "loyalty_point_usage": true,
            "linked_refund": true,
            "unlinked_refund": true
        },
        {
            "tid": "G6CDI4K1",
            "mid": "914200000000035",
            "bank_name": "Denizbank",
            "acquirer_id": "0134",
            "void_support": false,
            "installments_support": true,
            "loyalty_points_inquiry": true,
            "loyalty_point_usage": true,
            "linked_refund": true,
            "unlinked_refund": true
        }
    ]
}

GET/v1/clients-sdk/terminals

List Terminals

Request

GET
/terminals
{}

Response 200

{
"terminals": [
    {
        "id": "39495f62-207b-4660-9313-a7db5d6828a7",
        "tid": "NRP000011101",
        "name": null,
        "merchant": {
            "id": "17aaa544-c496-4a80-a383-7b120b3b62b2",
            "reference_id": "000100000011252",
            "name": "Osama merchant test 2",
            "name_ar": "16T0731"
        },
        "user": null,
        "is_assigned_to_user": false,
        "is_connected": true,
        "bank_terminals": [
            {
                "tid": "2Q3UTD35",
                "mid": "000100000011252",
                "bank_name": "T.VAKIFLAR BANKASI T.A.O.",
                "acquirer_id": "0206"
            },
            {
                "tid": "2Q3UTD23",
                "mid": "000100000011252",
                "bank_name": "Denizbank",
                "acquirer_id": "0134"
            }
        ],
        "profile": null,
        "created_at": "2025-12-26T07:51:33.473Z",
        "updated_at": "2025-12-26T08:35:04.858Z"
    },
    {
        "id": "6ab6b2b1-7a31-47c5-9cdb-3df514066d63",
        "tid": "HXGD57H3",
        "name": "NRP000000325",
        "merchant": {
            "id": "17aaa544-c496-4a80-a383-7b120b3b62b2",
            "reference_id": "000100000011252",
            "name": "Osama merchant test 2",
            "name_ar": "16T0731"
        },
        "user": {
            "id": "7e03c2ec-3fa2-4486-af89-4bcfb655c0c7",
            "name": "A alamri",
            "mobile": "+966503507002",
            "email": "[email protected]"
        },
        "is_assigned_to_user": true,
        "is_connected": false,
        "bank_terminals": [
            {
                "tid": "H2JEUY50",
                "mid": "000100000011252",
                "bank_name": "T.VAKIFLAR BANKASI T.A.O.",
                "acquirer_id": "0206"
            },
            {
                "tid": "2Q3UTD23",
                "mid": "000100000011252",
                "bank_name": "Denizbank",
                "acquirer_id": "0134"
            }
        ],
        "profile": null,
        "created_at": "2025-08-24T12:08:14.632Z",
        "updated_at": "2025-09-08T12:49:45.622Z"
    }
],
"pages": {
    "total": 4,
    "current": 1
}
}

GET/v1/clients-sdk/terminals/{id}

Find Terminal

Request

GET
/terminals/{terminal_id}
{}
{
"terminal": {
    "id": "39495f62-207b-4660-9313-a7db5d6828a7",
    "tid": "NRP000011101",
    "name": null,
    "merchant": {
        "id": "17aaa544-c496-4a80-a383-7b120b3b62b2",
        "reference_id": "000100000011252",
        "name": "merchant test 2",
        "name_ar": "16T0731"
    },
    "user": {
        "id": "21b90934-e98c-4380-b64b-5895df67a3c3",
        "name": "User Test",
        "mobile": "+905398232433",
        "email": "[email protected]"
    },
    "is_connected": true,
    "connections": [
        {
            "id": "70d486d0-58aa-4cbd-a07b-cb1123745d75",
            "device": {
                "id": "b9f84777-4a60-49f0-9399-83e850cc9034"
            }
        }
    ],
    "is_assigned_to_user": true,
    "bank_terminals": [
        {
            "tid": "2Q3UTD35",
            "mid": "000100000011252",
            "bank_name": "T.VAKIFLAR BANKASI T.A.O.",
            "acquirer_id": "0206"
        },
        {
            "tid": "2Q3UTD23",
            "mid": "000100000011252",
            "bank_name": "Denizbank",
            "acquirer_id": "0134"
        }
    ],
    "profile": null
}
}

PUT/v1/clients-sdk/terminals/{terminal_id}/disconnect

Disconnect Terminal

Request

PUT
/terminals/{terminal_id}/disconnect
{
  "device_id" : "760db1cd-77a9-4a1f-ab78-f1b0a71e4d91"
}
{
    "message": "Terminal disconnected successfully!"
}

POST/v1/clients-sdk/switch/terminals/{terminal_id}/update-profile

Update Terminal Profile

Request

POST
/v1/clients-sdk/switch/terminals/{terminal_id}/update-profile
{}
{
    "serial_number": "NRP000011101",
    "terminals": [
        {
            "terminal_info": {
                "bank_name": "T.VAKIFLAR BANKASI T.A.O.",
                "acquirer_id": "0206",
                "acquirer_terminal_id": "2Q3UTD35",
                "virtual_serial_number": "NRP000011101"
            },
            "merchant_data": {
                "business_name": "INTERTECH BILGI ISLEM PAZARLAMA",
                "tax_office_name": "BEYOGLU",
                "business_address": "İstiklal Evren 3AAF770F 73662",
                "business_province": "ISTANBUL",
                "business_telephone": "+902121234567",
                "acquirer_business_no": "914200000000035",
                "tax_identification_no": "1234567890",
                "merchant_category_code": "5411"
            }
        }
    ]
}

Users

In this endpoint you will be able to assign terminal to an existing user or a new user, additionally, you can unassign a terminal of the user.

Please note in case of assigning a totally new user, he will be created and assigned, and if the user already exists, he will be assigned to the terminal.

Unassigning Terminal will only require terminal id to be passed and the linked user will be unassigned. Note that one terminal can only have one user.

POST/v1/clients-sdk/terminals/{terminal_id}/assign

Assign Terminals

Request

POST
/terminals/{terminal_id}/assign
{
  "name":"Osama ***",
  "email":"os*****@gmail.com",
  "mobile":"+9053***52651"
}
{
"terminal": {
  "id": "39495f62-207b-4660-9313-a7db5d6828a7",
  "tid": "NRP000011101",
  "merchant": {
      "name": "Osama merchant test 2",
      "name_ar": "16T0731",
      "reference_id": "000100000011252"
  },
  "user": {
      "id": "21b90934-e98c-4380-b64b-5895df67a3c3",
      "name": "Osama ***",
      "mobile": "+9053***52651",
      "email": "os*****@gmail.com"
  },
  "device": {},
  "is_connected": false,
  "is_assigned_to_user": true
  }
}   

PUT/v1/clients-sdk/terminals/{terminal_id}/unassign

UnAssign Terminal

Request

PUT
/terminals/{terminal_id}/unassign
{}
{
    "terminal": {
        "tid": "NRP000011101",
        "message": "Terminal unassigned successfully!",
        "is_assigned_to_user": false
    }
}

Transactions

In this endpoint comes listing transactions and viewing one transaction full details.

GET/v2/clients-sdk/transactions

List Transactions

Request

GET
/v2/clients-sdk/transactions
{}

Response 200

{
"transactions": [
    {
        "id": "625690",
        "reference_id": "abb51688-7d6e-47de-b873-c981f8aeadbd",
        "amount_other": "undefined",
        "currency": {
            "english": "TL",
            "turkish": "TL"
        },
        "pin_required": false,
        "performance": {
            "id": "257c8013-e706-470b-94d5-fc2cd77f42b9",
            "internet_speed": "3440",
            "internet_type": null,
            "transaction": {
                "id": "625690"
            }
        },
        "created_at": "2025-12-31T09:20:27.163Z",
        "completed_at": null,
        "is_reconciled": false,
        "card": {},
        "events": [
            {
                "receipt": {
                    "standard": "BKM",
                    "id": "cd2938dc-458d-4c12-963f-f9475a37797a",
                    "data": {
                        "id": "f73f9a70-a405-4040-a18e-6277136a6d3a",
                        "pan": "9792 **** **** 3491",
                        "tid": "R74M144I",
                        "date": "31/12/2025",
                        "time": "12:20",
                        "type": "BKM",
                        "currency": {
                            "english": "TL",
                            "turkish": "TL"
                        },
                        "merchant": {
                            "id": "914200000000035",
                            "name": "INTERTECH BILGI ISLEM PAZARLAMA",
                            "address": "İstiklal Evren 3AAF770F 73662"
                        },
                        "card_type": "Kredi",
                        "acquirer_id": "0134",
                        "action_code": "00",
                        "card_domain": "Yurt İçi",
                        "card_scheme": "TROY",
                        "is_approved": true,
                        "batch_number": "000005",
                        "acquirer_name": "Denizbank",
                        "approval_code": "827213",
                        "reply_message": null,
                        "serial_number": "NRP000011101 NRP/NSP",
                        "bank_reference": "3112202762770000",
                        "device_details": "NRP000011101    NRPNSP000100010134      ",
                        "status_message": {
                            "english": "Transaction Approved",
                            "turkish": "İşlem Onaylandı"
                        },
                        "card_expiration": "32/12",
                        "transaction_code": "L11",
                        "transaction_type": {
                            "id": "00",
                            "name": {
                                "english": "PURCHASE AMOUNT",
                                "turkish": "Satış"
                            }
                        },
                        "transaction_uuid": "c695b5b0-8947-437f-9794-d8a0ca05387d",
                        "amount_authorized": {
                            "label": {
                                "english": "PURCHASE AMOUNT",
                                "turkish": "Satış"
                            },
                            "value": "1.00"
                        },
                        "installment_amount": null,
                        "installments_count": null,
                        "transaction_number": "000001",
                        "action_code_message": {
                            "english": "APPROVED",
                            "turkish": "ONAYLANDI"
                        },
                        "transaction_details": {
                            "english": "I HAVE RECEIVED GOOD OR SERVICE AGAINST THE AMOUNT",
                            "turkish": "TUTAR KARŞILIĞI MAL VEYA HİZMET ALDIM"
                        },
                        "application_cryptogram": "9F8C85074F893CA9",
                        "application_identifier": "A0000006723020",
                        "installment_calculation": null,
                        "reply_message_explanation": null,
                        "system_trace_audit_number": "000018",
                        "retrieval_reference_number": "311220275333",
                        "pos_software_version_number": "1.0.0",
                        "qr_code": "https://sandbox-api.nearpay.io/switch/ui/receipt/c695b5b0-8947-437f-9794-d8a0ca05387d"
                    }
                },
                "type": "transaction",
                "status": "approved"
            }
        ]
    }
],
"pages": {
    "total": 15,
    "current": 1
}
}


GET/v2/clients-sdk/transactions/{transaction_id}

Find Transaction

Request

GET
/v2/clients-sdk/transactions/{transaction_id}
{}

{
  "id": "625690",
  "reference_id": "abb51688-7d6e-47de-b873-c981f8aeadbd",
  "amount_other": "undefined",
  "currency": {
      "english": "TL",
      "turkish": "TL"
  },
  "pin_required": false,
  "performance": {
      "id": "257c8013-e706-470b-94d5-fc2cd77f42b9",
      "internet_speed": "3440",
      "internet_type": null,
      "transaction": {
          "id": "625690"
      }
  },
  "created_at": "2025-12-31T09:20:27.163Z",
  "is_reconciled": false,
  "card": {},
  "events": [
      {
          "receipt": {
              "standard": "BKM",
              "id": "cd2938dc-458d-4c12-963f-f9475a37797a",
              "data": {
                  "id": "f73f9a70-a405-4040-a18e-6277136a6d3a",
                  "pan": "9792 **** **** 3491",
                  "tid": "R74M144I",
                  "date": "31/12/2025",
                  "time": "12:20",
                  "type": "BKM",
                  "currency": {
                      "english": "TL",
                      "turkish": "TL"
                  },
                  "merchant": {
                      "id": "914200000000035",
                      "name": "INTERTECH BILGI ISLEM PAZARLAMA",
                      "address": "İstiklal Evren 3AAF770F 73662"
                  },
                  "card_type": "Kredi",
                  "acquirer_id": "0134",
                  "action_code": "00",
                  "card_domain": "Yurt İçi",
                  "card_scheme": "TROY",
                  "is_approved": true,
                  "batch_number": "000005",
                  "acquirer_name": "Denizbank",
                  "approval_code": "827213",
                  "reply_message": null,
                  "serial_number": "NRP000011101 NRP/NSP",
                  "bank_reference": "3112202762770000",
                  "device_details": "NRP000011101    NRPNSP000100010134      ",
                  "status_message": {
                      "english": "Transaction Approved",
                      "turkish": "İşlem Onaylandı"
                  },
                  "card_expiration": "32/12",
                  "transaction_code": "L11",
                  "transaction_type": {
                      "id": "00",
                      "name": {
                          "english": "PURCHASE AMOUNT",
                          "turkish": "Satış"
                      }
                  },
                  "transaction_uuid": "c695b5b0-8947-437f-9794-d8a0ca05387d",
                  "amount_authorized": {
                      "label": {
                          "english": "PURCHASE AMOUNT",
                          "turkish": "Satış"
                      },
                      "value": "1.00"
                  },
                  "installment_amount": null,
                  "installments_count": null,
                  "transaction_number": "000001",
                  "action_code_message": {
                      "english": "APPROVED",
                      "turkish": "ONAYLANDI"
                  },
                  "transaction_details": {
                      "english": "I HAVE RECEIVED GOOD OR SERVICE AGAINST THE AMOUNT",
                      "turkish": "TUTAR KARŞILIĞI MAL VEYA HİZMET ALDIM"
                  },
                  "application_cryptogram": "9F8C85074F893CA9",
                  "application_identifier": "A0000006723020",
                  "installment_calculation": null,
                  "reply_message_explanation": null,
                  "system_trace_audit_number": "000018",
                  "retrieval_reference_number": "311220275333",
                  "pos_software_version_number": "1.0.0",
                  "qr_code": "https://sandbox-api.nearpay.io/switch/ui/receipt/c695b5b0-8947-437f-9794-d8a0ca05387d"
              }
          },
          "stan": "000017",
          "type": "transaction",
          "status": "approved"
      }
  ]
}


Transaction Intents

In this endpoint comes listing intents and viewing one intent full details.

GET/v1/clients-sdk/intents

List Transaction Intents

Request

GET
/v1/clients-sdk/intents
{}

Response 200

{
    "data": [
        {
            "id": "625690",
            "terminal_id": "e1e913d6-0558-44d6-9f34-ea2f125eeefa",
            "amount": "100",
            "status": "approved",
            "type": "purchase",
            "original_intent_id": null,
            "customer_reference_number": "INV-100245",
            "created_at": "2025-12-31T09:20:27.163Z",
            "completed_at": "2025-12-31T09:20:29.512Z",
            "cancelled_at": null,
            "is_reconciled": false,
            "transactions": [
                {
                    "uuid": "c695b5b0-8947-437f-9794-d8a0ca05387d",
                    "pan": "9792 **** **** 3491",
                    "scheme": {
                        "english": "TROY",
                        "arabic": "TROY"
                    },
                    "amount_authorized": "100",
                    "currency": {
                        "code": "TRY",
                        "decimals": 2,
                        "name": "Turkish lira",
                        "number": "949",
                        "symbol": "TL"
                    },
                    "transaction_type": {
                        "turkish": "Satış",
                        "english": "PURCHASE"
                    },
                    "is_approved": true,
                    "is_reversed": false,
                    "is_reconcilied": false,
                    "retrieval_reference_number": "311220275333",
                    "customer_reference_number": "INV-100245"
                }
            ]
        }
    ],
    "pagination": {
        "current_page": 1
    }
}

GET/v1/clients-sdk/intents/{id}

Find Transaction Intent

Request

GET
/v1/clients-sdk/intents/{id}
{}
{
    "details": {
        "intenet_id": "625690",
        "reference_id": "INV-100245",
        "type": "purchase",
        "status": "approved",
        "amount": "100",
        "pin_required": false,
        "created_at": "2025-12-31T09:20:27.163Z",
        "completed_at": "2025-12-31T09:20:29.512Z",
        "canceled_at": null,
        "is_reconciled": false,
        "group_receipts_url": "https://api.nearpay.io/ui/group-receipts/625690",
        "transactions": [
            {
                "id": "c695b5b0-8947-437f-9794-d8a0ca05387d",
                "status": "approved",
                "card": {
                    "pan": "9792 **** **** 3491",
                    "exp": "32/12"
                },
                "performance": {
                    "id": "257c8013-e706-470b-94d5-fc2cd77f42b9",
                    "internet_speed": "3440",
                    "internet_type": null,
                    "transaction": {
                        "id": "625690"
                    }
                },
                "pin_required": false,
                "reference_id": "INV-100245",
                "amount": "100",
                "amount_other": "0",
                "created_at": "2025-12-31T09:20:27.163Z",
                "events": [
                    {
                        "rrn": "311220275333",
                        "stan": "000018",
                        "type": "transaction",
                        "status": "approved",
                        "receipt": {
                            "standard": "BKM",
                            "id": "cd2938dc-458d-4c12-963f-f9475a37797a",
                            "data": {
                                "id": "f73f9a70-a405-4040-a18e-6277136a6d3a",
                                "pan": "9792 **** **** 3491",
                                "tid": "R74M144I",
                                "date": "31/12/2025",
                                "time": "12:20",
                                "type": "BKM",
                                "currency": {
                                    "english": "TL",
                                    "turkish": "TL"
                                },
                                "merchant": {
                                    "id": "914200000000035",
                                    "name": "INTERTECH BILGI ISLEM PAZARLAMA",
                                    "address": "İstiklal Evren 3AAF770F 73662"
                                },
                                "card_scheme": "TROY",
                                "is_approved": true,
                                "approval_code": "827213",
                                "status_message": {
                                    "english": "Transaction Approved",
                                    "turkish": "İşlem Onaylandı"
                                },
                                "transaction_type": {
                                    "id": "00",
                                    "name": {
                                        "english": "PURCHASE AMOUNT",
                                        "turkish": "Satış"
                                    }
                                },
                                "transaction_uuid": "c695b5b0-8947-437f-9794-d8a0ca05387d",
                                "amount_authorized": {
                                    "label": {
                                        "english": "PURCHASE AMOUNT",
                                        "turkish": "Satış"
                                    },
                                    "value": "1.00"
                                },
                                "system_trace_audit_number": "000018",
                                "retrieval_reference_number": "311220275333"
                            }
                        }
                    }
                ]
            }
        ]
    }
}

Reconciliations

In this endpoint comes creating a reconciliation and listing previous reconciliations.

We need to pass the terminal_id in order to perform the reconciliation.

POST/v2/clients-sdk/reconciliations

Create Reconciliations

Request

POST
/reconciliations
{
    "tid": "NRP000101042"
}
{
"reconciliation": {
    "receipt": {
        "id": "55d8f176-e12b-471d-8a77-ef218c9d38f6",
        "standard": "BKM",
        "operation_type": "reconciliation",
        "data": {
            "date": "12/01/2026",
            "hour": "14:16",
            "bank_name": "T.VAKIFLAR BANKASI T.A.O.",
            "grand_total": "0",
            "document_ref": "000002",
            "business_name": "TEST",
            "serial_number": "NRP000101042",
            "business_number": "000100000011252",
            "terminal_number": "Z5S18Y31",
            "end_of_day_summary": [
                {
                    "type": "purchase",
                    "count": "0",
                    "amount": "0"
                },
                {
                    "type": "refund",
                    "count": "0",
                    "amount": "0"
                },
                {
                    "type": "refund_void",
                    "count": "0",
                    "amount": "0"
                },
                {
                    "type": "purchase_void",
                    "count": "0",
                    "amount": "0"
                }
            ],
            "business_address_and_telephone": "Akkom Plaza Denemeler sok. deneme1EBİS Ümraniye sokak atakent 3223698523"
        },
        "reconciliation": {
            "id": "373d4b33-9ee3-46f9-a8b3-94a80562c531"
        },
        "type": null,
        "rrn": null,
        "stan": null,
        "status": null,
        "action_code": null,
        "decline_reason": null,
        "auth_code": null,
        "created_at": "2026-01-12T11:16:26.304Z",
        "updated_at": "2026-01-12T11:16:26.304Z"
    },
    "performance": [
        {
            "type": "reconciliation_start",
            "time_stamp": 1768216585705
        },
        {
            "type": "switch_start",
            "time_stamp": 1768216585748
        },
        {
            "type": "switch_end",
            "time_stamp": 1768216586202
        },
        {
            "type": "reconciliation_end",
            "time_stamp": 1768216586255
        }
    ],
    "reconciliation": {
        "id": "373d4b33-9ee3-46f9-a8b3-94a80562c531",
        "status": "Completed",
        "system_trace_audit_number": "000003",
        "card_acceptor_terminal_id": "NRP000101042",
        "action_code": "00",
        "pos_totals": "",
        "host_totals": "",
        "total_count": 0,
        "total_value": "0",
        "purchase_count": 0,
        "purchase_value": "0",
        "purchase_reversal_count": 0,
        "purchase_reversal_value": "0",
        "refund_count": 0,
        "refund_value": "0",
        "refund_reversal_count": 0,
        "refund_reversal_value": "0",
        "is_balanced": true,
        "client_id": "38e55add-32ac-428f-8019-6a14d7ad16b8",
        "merchant_id": "a2d03a82-c1eb-456d-a418-7213fc4563a9",
        "requested_by": "Account API",
        "terminal": {
            "id": "240557de-17a4-4962-89a6-775682d7a2dd",
            "system_trace_audit_number": 3,
            "transaction_counter": 2,
            "branch_id": null,
            "group_id": null,
            "merchant_id": "a2d03a82-c1eb-456d-a418-7213fc4563a9",
            "card_acceptor_terminal_id": "NRP000101042",
            "card_acceptor_id_code": "000100000011252",
            "acquirer_institution_identification_code": "0000",
            "merchant_category_code": "5944",
            "lat": "24",
            "lon": "46",
            "merchant_name_english": null,
            "merchant_name_arabic": null,
            "currency_code": "949",
            "currency_symbol_arabic": null,
            "currency_symbol_english": "TL",
            "currency_exponent": 2,
            "merchant_address_1_arabic": null,
            "merchant_address_2_arabic": null,
            "merchant_address_1_english": null,
            "merchant_address_2_english": null,
            "receipt_line_1_arabic": null,
            "receipt_line_2_arabic": null,
            "receipt_line_1_english": null,
            "receipt_line_2_english": null,
            "ipek": "NO IPEK",
            "pin_key_id": "8b37647c-1f4b-4ecb-951c-e4156f1587f4",
            "key_set_id": "FFFF",
            "vendor": "99",
            "version": "v1",
            "trsm": "------",
            "saf_retry_limit": 3,
            "fraud_alert_id": null,
            "p1_aquirer_bank": "INMA",
            "vc_aquirer_bank": null,
            "vd_aquirer_bank": null,
            "last_transaction": null,
            "mc_aquirer_bank": null,
            "dm_aquirer_bank": null,
            "ax_aquirer_bank": null,
            "up_aquirer_bank": null,
            "jc_aquirer_bank": null,
            "dc_aquirer_bank": null,
            "gn_aquirer_bank": null,
            "request_sent_time": "000000000",
            "response_recevied_time": "000000000",
            "performance_timers_refrence": "000000000000",
            "point_of_service": "71030170334C",
            "admin_pin": "0000",
            "client_id": "38e55add-32ac-428f-8019-6a14d7ad16b8",
            "is_reconciling": true,
            "is_filedownload": false,
            "is_refund_same_card": true,
            "status": "new",
            "environment": null,
            "geofence": null,
            "created_at": "2026-01-12T09:33:14.120Z",
            "updated_at": "2026-01-12T11:16:25.733Z",
            "is_pulled_out": false,
            "rate_limit_block": false,
            "pulled_out_at": null,
            "package_name": null,
            "app_version": null,
            "sdk_version": null
        },
        "device_id": null,
        "user_id": null,
        "package_name": null,
        "app_version": null,
        "sdk_version": null,
        "performance": [],
        "created_at": "2026-01-12T11:16:26.214Z",
        "updated_at": "2026-01-12T11:16:26.214Z"
    }
}
}

GET/v2/clients-sdk/reconciliations

List Reconciliations

Request

GET
/reconciliations
{}

Response 200

{
    "reconciliations": [
        {
            "id": "2fc49db4-7f86-4ad2-a7c3-877b10251ba3",
            "merchant_id": "70fbb41a-ff0f-4dcb-87ce-21918371c92a",
            "created_at": "2023-11-19T08:05:54.550Z",
            "reconciliation_receipt": {
                "id": "2fc49db4-7f86-4ad2-a7c3-877b10251ba3",
                "date": "19/11/2023",
                "time": "11:05:54",
                "start_date": "19/11/2023",
                "start_time": "11:05:54",
                "merchant": {
                    "id": "100000000000001",
                    "name": {
                        "arabic": "NearPay Merchant Arabic",
                        "english": "NearPay Merchant"
                    },
                    "address": {
                        "arabic": "4321",
                        "english": "KAFD"
                    },
                    "category_code": "0763"
                },
                "card_acceptor_terminal_id": "0209326800093268",
                "pos_software_version_number": "1.0.0",
                "is_balanced": {
                    "label": {
                        "arabic": "مقبولة",
                        "english": "Approved"
                    },
                    "value": true
                },
                "details": {
                    "total": {
                        "label": {
                            "arabic": "المجموع",
                            "english": "Total"
                        },
                        "total": "0.00",
                        "count": 0
                    },
                    "purchase": {
                        "label": {
                            "arabic": "الشراء",
                            "english": "Purchase"
                        },
                        "total": "0.00",
                        "count": 0
                    },
                    "purchase_reversal": {
                        "label": {
                            "arabic": "الشراء المعكوسة",
                            "english": "Purchase Reversal"
                        },
                        "total": "0.00",
                        "count": 0
                    },
                    "refund": {
                        "label": {
                            "arabic": "المستردة",
                            "english": "Refund"
                        },
                        "total": "0.00",
                        "count": 0
                    },
                    "refund_reversal": {
                        "label": {
                            "arabic": "المستردة المعكوسة",
                            "english": "Refund Reversal"
                        },
                        "total": "0.00",
                        "count": 0
                    }
                },
                "schemes": [
                    {
                        "name": {
                            "label": {
                                "english": "mada",
                                "arabic": "مدى"
                            },
                            "value": "P1"
                        },
                        "pos": {
                            "credit": {
                                "label": {
                                    "arabic": "دائن",
                                    "english": "Credit"
                                },
                                "total": "0.00",
                                "count": 0
                            },
                            "debit": {
                                "label": {
                                    "arabic": "مدين",
                                    "english": "Debit"
                                },
                                "total": "0.00",
                                "count": 0
                            },
                            "total": {
                                "label": {
                                    "arabic": "المجموع",
                                    "english": "Total"
                                },
                                "total": "0.00",
                                "count": 0
                            }
                        },
                        "host": {
                            "credit": {
                                "label": {
                                    "arabic": "دائن",
                                    "english": "Credit"
                                },
                                "total": "0.00",
                                "count": 0
                            },
                            "debit": {
                                "label": {
                                    "arabic": "مدين",
                                    "english": "Debit"
                                },
                                "total": "0.00",
                                "count": 0
                            },
                            "total": {
                                "label": {
                                    "arabic": "المجموع",
                                    "english": "Total"
                                },
                                "total": "0.00",
                                "count": 0
                            }
                        },
                        "is_balanced": true
                    },
                    {
                        "name": {
                            "label": {
                                "english": "Visa",
                                "arabic": "فيزا"
                            },
                            "value": "VC"
                        },
                        "pos": {
                            "credit": {
                                "label": {
                                    "arabic": "دائن",
                                    "english": "Credit"
                                },
                                "total": "0.00",
                                "count": 0
                            },
                            "debit": {
                                "label": {
                                    "arabic": "مدين",
                                    "english": "Debit"
                                },
                                "total": "0.00",
                                "count": 0
                            },
                            "total": {
                                "label": {
                                    "arabic": "المجموع",
                                    "english": "Total"
                                },
                                "total": "0.00",
                                "count": 0
                            }
                        },
                        "host": {
                            "credit": {
                                "label": {
                                    "arabic": "دائن",
                                    "english": "Credit"
                                },
                                "total": "0.00",
                                "count": 0
                            },
                            "debit": {
                                "label": {
                                    "arabic": "مدين",
                                    "english": "Debit"
                                },
                                "total": "0.00",
                                "count": 0
                            },
                            "total": {
                                "label": {
                                    "arabic": "المجموع",
                                    "english": "Total"
                                },
                                "total": "0.00",
                                "count": 0
                            }
                        },
                        "is_balanced": true
                    },
                    {
                        "name": {
                            "label": {
                                "english": "Visa Debit",
                                "arabic": "فيزا مدين"
                            },
                            "value": "VD"
                        },
                        "pos": {
                            "credit": {
                                "label": {
                                    "arabic": "دائن",
                                    "english": "Credit"
                                },
                                "total": "0.00",
                                "count": 0
                            },
                            "debit": {
                                "label": {
                                    "arabic": "مدين",
                                    "english": "Debit"
                                },
                                "total": "0.00",
                                "count": 0
                            },
                            "total": {
                                "label": {
                                    "arabic": "المجموع",
                                    "english": "Total"
                                },
                                "total": "0.00",
                                "count": 0
                            }
                        },
                        "host": {
                            "credit": {
                                "label": {
                                    "arabic": "دائن",
                                    "english": "Credit"
                                },
                                "total": "0.00",
                                "count": 0
                            },
                            "debit": {
                                "label": {
                                    "arabic": "مدين",
                                    "english": "Debit"
                                },
                                "total": "0.00",
                                "count": 0
                            },
                            "total": {
                                "label": {
                                    "arabic": "المجموع",
                                    "english": "Total"
                                },
                                "total": "0.00",
                                "count": 0
                            }
                        },
                        "is_balanced": true
                    },
                    {
                        "name": {
                            "label": {
                                "english": "MasterCard",
                                "arabic": "ماستر كارد"
                            },
                            "value": "MC"
                        },
                        "pos": {
                            "credit": {
                                "label": {
                                    "arabic": "دائن",
                                    "english": "Credit"
                                },
                                "total": "0.00",
                                "count": 0
                            },
                            "debit": {
                                "label": {
                                    "arabic": "مدين",
                                    "english": "Debit"
                                },
                                "total": "0.00",
                                "count": 0
                            },
                            "total": {
                                "label": {
                                    "arabic": "المجموع",
                                    "english": "Total"
                                },
                                "total": "0.00",
                                "count": 0
                            }
                        },
                        "host": {
                            "credit": {
                                "label": {
                                    "arabic": "دائن",
                                    "english": "Credit"
                                },
                                "total": "0.00",
                                "count": 0
                            },
                            "debit": {
                                "label": {
                                    "arabic": "مدين",
                                    "english": "Debit"
                                },
                                "total": "0.00",
                                "count": 0
                            },
                            "total": {
                                "label": {
                                    "arabic": "المجموع",
                                    "english": "Total"
                                },
                                "total": "0.00",
                                "count": 0
                            }
                        },
                        "is_balanced": true
                    },
                    {
                        "name": {
                            "label": {
                                "english": "Maestro",
                                "arabic": "مايسترو"
                            },
                            "value": "DM"
                        },
                        "pos": {
                            "credit": {
                                "label": {
                                    "arabic": "دائن",
                                    "english": "Credit"
                                },
                                "total": "0.00",
                                "count": 0
                            },
                            "debit": {
                                "label": {
                                    "arabic": "مدين",
                                    "english": "Debit"
                                },
                                "total": "0.00",
                                "count": 0
                            },
                            "total": {
                                "label": {
                                    "arabic": "المجموع",
                                    "english": "Total"
                                },
                                "total": "0.00",
                                "count": 0
                            }
                        },
                        "host": {
                            "credit": {
                                "label": {
                                    "arabic": "دائن",
                                    "english": "Credit"
                                },
                                "total": "0.00",
                                "count": 0
                            },
                            "debit": {
                                "label": {
                                    "arabic": "مدين",
                                    "english": "Debit"
                                },
                                "total": "0.00",
                                "count": 0
                            },
                            "total": {
                                "label": {
                                    "arabic": "المجموع",
                                    "english": "Total"
                                },
                                "total": "0.00",
                                "count": 0
                            }
                        },
                        "is_balanced": true
                    },
                    {
                        "name": {
                            "label": {
                                "english": "American Express",
                                "arabic": "امريكان اكسبرس"
                            },
                            "value": "AX"
                        },
                        "pos": {
                            "credit": {
                                "label": {
                                    "arabic": "دائن",
                                    "english": "Credit"
                                },
                                "total": "0.00",
                                "count": 0
                            },
                            "debit": {
                                "label": {
                                    "arabic": "مدين",
                                    "english": "Debit"
                                },
                                "total": "0.00",
                                "count": 0
                            },
                            "total": {
                                "label": {
                                    "arabic": "المجموع",
                                    "english": "Total"
                                },
                                "total": "0.00",
                                "count": 0
                            }
                        },
                        "host": {
                            "credit": {
                                "label": {
                                    "arabic": "دائن",
                                    "english": "Credit"
                                },
                                "total": "0.00",
                                "count": 0
                            },
                            "debit": {
                                "label": {
                                    "arabic": "مدين",
                                    "english": "Debit"
                                },
                                "total": "0.00",
                                "count": 0
                            },
                            "total": {
                                "label": {
                                    "arabic": "المجموع",
                                    "english": "Total"
                                },
                                "total": "0.00",
                                "count": 0
                            }
                        },
                        "is_balanced": true
                    },
                    {
                        "name": {
                            "label": {
                                "english": "UnionPay",
                                "arabic": "يونيون باي"
                            },
                            "value": "UP"
                        },
                        "pos": {
                            "credit": {
                                "label": {
                                    "arabic": "دائن",
                                    "english": "Credit"
                                },
                                "total": "0.00",
                                "count": 0
                            },
                            "debit": {
                                "label": {
                                    "arabic": "مدين",
                                    "english": "Debit"
                                },
                                "total": "0.00",
                                "count": 0
                            },
                            "total": {
                                "label": {
                                    "arabic": "المجموع",
                                    "english": "Total"
                                },
                                "total": "0.00",
                                "count": 0
                            }
                        },
                        "host": {
                            "credit": {
                                "label": {
                                    "arabic": "دائن",
                                    "english": "Credit"
                                },
                                "total": "0.00",
                                "count": 0
                            },
                            "debit": {
                                "label": {
                                    "arabic": "مدين",
                                    "english": "Debit"
                                },
                                "total": "0.00",
                                "count": 0
                            },
                            "total": {
                                "label": {
                                    "arabic": "المجموع",
                                    "english": "Total"
                                },
                                "total": "0.00",
                                "count": 0
                            }
                        },
                        "is_balanced": true
                    },
                    {
                        "name": {
                            "label": {
                                "english": "JCB",
                                "arabic": "جي سي بي"
                            },
                            "value": "JC"
                        },
                        "pos": {
                            "credit": {
                                "label": {
                                    "arabic": "دائن",
                                    "english": "Credit"
                                },
                                "total": "0.00",
                                "count": 0
                            },
                            "debit": {
                                "label": {
                                    "arabic": "مدين",
                                    "english": "Debit"
                                },
                                "total": "0.00",
                                "count": 0
                            },
                            "total": {
                                "label": {
                                    "arabic": "المجموع",
                                    "english": "Total"
                                },
                                "total": "0.00",
                                "count": 0
                            }
                        },
                        "host": {
                            "credit": {
                                "label": {
                                    "arabic": "دائن",
                                    "english": "Credit"
                                },
                                "total": "0.00",
                                "count": 0
                            },
                            "debit": {
                                "label": {
                                    "arabic": "مدين",
                                    "english": "Debit"
                                },
                                "total": "0.00",
                                "count": 0
                            },
                            "total": {
                                "label": {
                                    "arabic": "المجموع",
                                    "english": "Total"
                                },
                                "total": "0.00",
                                "count": 0
                            }
                        },
                        "is_balanced": true
                    },
                    {
                        "name": {
                            "label": {
                                "english": "Discover",
                                "arabic": "ديسكفر"
                            },
                            "value": "DC"
                        },
                        "pos": {
                            "credit": {
                                "label": {
                                    "arabic": "دائن",
                                    "english": "Credit"
                                },
                                "total": "0.00",
                                "count": 0
                            },
                            "debit": {
                                "label": {
                                    "arabic": "مدين",
                                    "english": "Debit"
                                },
                                "total": "0.00",
                                "count": 0
                            },
                            "total": {
                                "label": {
                                    "arabic": "المجموع",
                                    "english": "Total"
                                },
                                "total": "0.00",
                                "count": 0
                            }
                        },
                        "host": {
                            "credit": {
                                "label": {
                                    "arabic": "دائن",
                                    "english": "Credit"
                                },
                                "total": "0.00",
                                "count": 0
                            },
                            "debit": {
                                "label": {
                                    "arabic": "مدين",
                                    "english": "Debit"
                                },
                                "total": "0.00",
                                "count": 0
                            },
                            "total": {
                                "label": {
                                    "arabic": "المجموع",
                                    "english": "Total"
                                },
                                "total": "0.00",
                                "count": 0
                            }
                        },
                        "is_balanced": true
                    },
                    {
                        "name": {
                            "label": {
                                "english": "GCCNET",
                                "arabic": "الشبكة الخليجية"
                            },
                            "value": "GN"
                        },
                        "pos": {
                            "credit": {
                                "label": {
                                    "arabic": "دائن",
                                    "english": "Credit"
                                },
                                "total": "0.00",
                                "count": 0
                            },
                            "debit": {
                                "label": {
                                    "arabic": "مدين",
                                    "english": "Debit"
                                },
                                "total": "0.00",
                                "count": 0
                            },
                            "total": {
                                "label": {
                                    "arabic": "المجموع",
                                    "english": "Total"
                                },
                                "total": "0.00",
                                "count": 0
                            }
                        },
                        "host": {
                            "credit": {
                                "label": {
                                    "arabic": "دائن",
                                    "english": "Credit"
                                },
                                "total": "0.00",
                                "count": 0
                            },
                            "debit": {
                                "label": {
                                    "arabic": "مدين",
                                    "english": "Debit"
                                },
                                "total": "0.00",
                                "count": 0
                            },
                            "total": {
                                "label": {
                                    "arabic": "المجموع",
                                    "english": "Total"
                                },
                                "total": "0.00",
                                "count": 0
                            }
                        },
                        "is_balanced": true
                    }
                ],
                "currency": {
                    "arabic": "ر.س",
                    "english": "SAR"
                },
                "system_trace_audit_number": "000044"
            },
            "terminal": {
                "card_acceptor_terminal_id": "0209326800093268"
            }
        },

        // Other Reconciliations
    ],
    "pages": {
        "total": 12,
        "current": 1
    }
}

GET/v1/clients-sdk/reconciliations/{reconciliation_id}

Find Reconciliation

Request

GET
/reconciliations/{reconciliation_id}
{}
{
    "reconciliation": {
        "id": "2fc49db4-7f86-4ad2-a7c3-877b10251ba3",
        "created_at": "2023-11-19T08:05:54.550Z",
        "reconciliation_receipt": {
            "id": "2fc49db4-7f86-4ad2-a7c3-877b10251ba3",
            "date": "19/11/2023",
            "time": "11:05:54",
            "start_date": "19/11/2023",
            "start_time": "11:05:54",
            "merchant": {
                "id": "100000000000001",
                "name": {
                    "arabic": "NearPay Merchant Arabic",
                    "english": "NearPay Merchant"
                },
                "address": {
                    "arabic": "4321",
                    "english": "KAFD"
                },
                "category_code": "0763"
            },
            "card_acceptor_terminal_id": "0209326800093268",
            "pos_software_version_number": "1.0.0",
            "is_balanced": {
                "label": {
                    "arabic": "مقبولة",
                    "english": "Approved"
                },
                "value": true
            },
            "details": {
                "total": {
                    "label": {
                        "arabic": "المجموع",
                        "english": "Total"
                    },
                    "total": "0.00",
                    "count": 0
                },
                "purchase": {
                    "label": {
                        "arabic": "الشراء",
                        "english": "Purchase"
                    },
                    "total": "0.00",
                    "count": 0
                },
                "purchase_reversal": {
                    "label": {
                        "arabic": "الشراء المعكوسة",
                        "english": "Purchase Reversal"
                    },
                    "total": "0.00",
                    "count": 0
                },
                "refund": {
                    "label": {
                        "arabic": "المستردة",
                        "english": "Refund"
                    },
                    "total": "0.00",
                    "count": 0
                },
                "refund_reversal": {
                    "label": {
                        "arabic": "المستردة المعكوسة",
                        "english": "Refund Reversal"
                    },
                    "total": "0.00",
                    "count": 0
                }
            },
            "schemes": [
                {
                    "name": {
                        "label": {
                            "english": "mada",
                            "arabic": "مدى"
                        },
                        "value": "P1"
                    },
                    "pos": {
                        "credit": {
                            "label": {
                                "arabic": "دائن",
                                "english": "Credit"
                            },
                            "total": "0.00",
                            "count": 0
                        },
                        "debit": {
                            "label": {
                                "arabic": "مدين",
                                "english": "Debit"
                            },
                            "total": "0.00",
                            "count": 0
                        },
                        "total": {
                            "label": {
                                "arabic": "المجموع",
                                "english": "Total"
                            },
                            "total": "0.00",
                            "count": 0
                        }
                    },
                    "host": {
                        "credit": {
                            "label": {
                                "arabic": "دائن",
                                "english": "Credit"
                            },
                            "total": "0.00",
                            "count": 0
                        },
                        "debit": {
                            "label": {
                                "arabic": "مدين",
                                "english": "Debit"
                            },
                            "total": "0.00",
                            "count": 0
                        },
                        "total": {
                            "label": {
                                "arabic": "المجموع",
                                "english": "Total"
                            },
                            "total": "0.00",
                            "count": 0
                        }
                    },
                    "is_balanced": true
                },
                {
                    "name": {
                        "label": {
                            "english": "Visa",
                            "arabic": "فيزا"
                        },
                        "value": "VC"
                    },
                    "pos": {
                        "credit": {
                            "label": {
                                "arabic": "دائن",
                                "english": "Credit"
                            },
                            "total": "0.00",
                            "count": 0
                        },
                        "debit": {
                            "label": {
                                "arabic": "مدين",
                                "english": "Debit"
                            },
                            "total": "0.00",
                            "count": 0
                        },
                        "total": {
                            "label": {
                                "arabic": "المجموع",
                                "english": "Total"
                            },
                            "total": "0.00",
                            "count": 0
                        }
                    },
                    "host": {
                        "credit": {
                            "label": {
                                "arabic": "دائن",
                                "english": "Credit"
                            },
                            "total": "0.00",
                            "count": 0
                        },
                        "debit": {
                            "label": {
                                "arabic": "مدين",
                                "english": "Debit"
                            },
                            "total": "0.00",
                            "count": 0
                        },
                        "total": {
                            "label": {
                                "arabic": "المجموع",
                                "english": "Total"
                            },
                            "total": "0.00",
                            "count": 0
                        }
                    },
                    "is_balanced": true
                },
                {
                    "name": {
                        "label": {
                            "english": "Visa Debit",
                            "arabic": "فيزا مدين"
                        },
                        "value": "VD"
                    },
                    "pos": {
                        "credit": {
                            "label": {
                                "arabic": "دائن",
                                "english": "Credit"
                            },
                            "total": "0.00",
                            "count": 0
                        },
                        "debit": {
                            "label": {
                                "arabic": "مدين",
                                "english": "Debit"
                            },
                            "total": "0.00",
                            "count": 0
                        },
                        "total": {
                            "label": {
                                "arabic": "المجموع",
                                "english": "Total"
                            },
                            "total": "0.00",
                            "count": 0
                        }
                    },
                    "host": {
                        "credit": {
                            "label": {
                                "arabic": "دائن",
                                "english": "Credit"
                            },
                            "total": "0.00",
                            "count": 0
                        },
                        "debit": {
                            "label": {
                                "arabic": "مدين",
                                "english": "Debit"
                            },
                            "total": "0.00",
                            "count": 0
                        },
                        "total": {
                            "label": {
                                "arabic": "المجموع",
                                "english": "Total"
                            },
                            "total": "0.00",
                            "count": 0
                        }
                    },
                    "is_balanced": true
                },
                {
                    "name": {
                        "label": {
                            "english": "MasterCard",
                            "arabic": "ماستر كارد"
                        },
                        "value": "MC"
                    },
                    "pos": {
                        "credit": {
                            "label": {
                                "arabic": "دائن",
                                "english": "Credit"
                            },
                            "total": "0.00",
                            "count": 0
                        },
                        "debit": {
                            "label": {
                                "arabic": "مدين",
                                "english": "Debit"
                            },
                            "total": "0.00",
                            "count": 0
                        },
                        "total": {
                            "label": {
                                "arabic": "المجموع",
                                "english": "Total"
                            },
                            "total": "0.00",
                            "count": 0
                        }
                    },
                    "host": {
                        "credit": {
                            "label": {
                                "arabic": "دائن",
                                "english": "Credit"
                            },
                            "total": "0.00",
                            "count": 0
                        },
                        "debit": {
                            "label": {
                                "arabic": "مدين",
                                "english": "Debit"
                            },
                            "total": "0.00",
                            "count": 0
                        },
                        "total": {
                            "label": {
                                "arabic": "المجموع",
                                "english": "Total"
                            },
                            "total": "0.00",
                            "count": 0
                        }
                    },
                    "is_balanced": true
                },
                {
                    "name": {
                        "label": {
                            "english": "Maestro",
                            "arabic": "مايسترو"
                        },
                        "value": "DM"
                    },
                    "pos": {
                        "credit": {
                            "label": {
                                "arabic": "دائن",
                                "english": "Credit"
                            },
                            "total": "0.00",
                            "count": 0
                        },
                        "debit": {
                            "label": {
                                "arabic": "مدين",
                                "english": "Debit"
                            },
                            "total": "0.00",
                            "count": 0
                        },
                        "total": {
                            "label": {
                                "arabic": "المجموع",
                                "english": "Total"
                            },
                            "total": "0.00",
                            "count": 0
                        }
                    },
                    "host": {
                        "credit": {
                            "label": {
                                "arabic": "دائن",
                                "english": "Credit"
                            },
                            "total": "0.00",
                            "count": 0
                        },
                        "debit": {
                            "label": {
                                "arabic": "مدين",
                                "english": "Debit"
                            },
                            "total": "0.00",
                            "count": 0
                        },
                        "total": {
                            "label": {
                                "arabic": "المجموع",
                                "english": "Total"
                            },
                            "total": "0.00",
                            "count": 0
                        }
                    },
                    "is_balanced": true
                },
                {
                    "name": {
                        "label": {
                            "english": "American Express",
                            "arabic": "امريكان اكسبرس"
                        },
                        "value": "AX"
                    },
                    "pos": {
                        "credit": {
                            "label": {
                                "arabic": "دائن",
                                "english": "Credit"
                            },
                            "total": "0.00",
                            "count": 0
                        },
                        "debit": {
                            "label": {
                                "arabic": "مدين",
                                "english": "Debit"
                            },
                            "total": "0.00",
                            "count": 0
                        },
                        "total": {
                            "label": {
                                "arabic": "المجموع",
                                "english": "Total"
                            },
                            "total": "0.00",
                            "count": 0
                        }
                    },
                    "host": {
                        "credit": {
                            "label": {
                                "arabic": "دائن",
                                "english": "Credit"
                            },
                            "total": "0.00",
                            "count": 0
                        },
                        "debit": {
                            "label": {
                                "arabic": "مدين",
                                "english": "Debit"
                            },
                            "total": "0.00",
                            "count": 0
                        },
                        "total": {
                            "label": {
                                "arabic": "المجموع",
                                "english": "Total"
                            },
                            "total": "0.00",
                            "count": 0
                        }
                    },
                    "is_balanced": true
                },
                {
                    "name": {
                        "label": {
                            "english": "UnionPay",
                            "arabic": "يونيون باي"
                        },
                        "value": "UP"
                    },
                    "pos": {
                        "credit": {
                            "label": {
                                "arabic": "دائن",
                                "english": "Credit"
                            },
                            "total": "0.00",
                            "count": 0
                        },
                        "debit": {
                            "label": {
                                "arabic": "مدين",
                                "english": "Debit"
                            },
                            "total": "0.00",
                            "count": 0
                        },
                        "total": {
                            "label": {
                                "arabic": "المجموع",
                                "english": "Total"
                            },
                            "total": "0.00",
                            "count": 0
                        }
                    },
                    "host": {
                        "credit": {
                            "label": {
                                "arabic": "دائن",
                                "english": "Credit"
                            },
                            "total": "0.00",
                            "count": 0
                        },
                        "debit": {
                            "label": {
                                "arabic": "مدين",
                                "english": "Debit"
                            },
                            "total": "0.00",
                            "count": 0
                        },
                        "total": {
                            "label": {
                                "arabic": "المجموع",
                                "english": "Total"
                            },
                            "total": "0.00",
                            "count": 0
                        }
                    },
                    "is_balanced": true
                },
                {
                    "name": {
                        "label": {
                            "english": "JCB",
                            "arabic": "جي سي بي"
                        },
                        "value": "JC"
                    },
                    "pos": {
                        "credit": {
                            "label": {
                                "arabic": "دائن",
                                "english": "Credit"
                            },
                            "total": "0.00",
                            "count": 0
                        },
                        "debit": {
                            "label": {
                                "arabic": "مدين",
                                "english": "Debit"
                            },
                            "total": "0.00",
                            "count": 0
                        },
                        "total": {
                            "label": {
                                "arabic": "المجموع",
                                "english": "Total"
                            },
                            "total": "0.00",
                            "count": 0
                        }
                    },
                    "host": {
                        "credit": {
                            "label": {
                                "arabic": "دائن",
                                "english": "Credit"
                            },
                            "total": "0.00",
                            "count": 0
                        },
                        "debit": {
                            "label": {
                                "arabic": "مدين",
                                "english": "Debit"
                            },
                            "total": "0.00",
                            "count": 0
                        },
                        "total": {
                            "label": {
                                "arabic": "المجموع",
                                "english": "Total"
                            },
                            "total": "0.00",
                            "count": 0
                        }
                    },
                    "is_balanced": true
                },
                {
                    "name": {
                        "label": {
                            "english": "Discover",
                            "arabic": "ديسكفر"
                        },
                        "value": "DC"
                    },
                    "pos": {
                        "credit": {
                            "label": {
                                "arabic": "دائن",
                                "english": "Credit"
                            },
                            "total": "0.00",
                            "count": 0
                        },
                        "debit": {
                            "label": {
                                "arabic": "مدين",
                                "english": "Debit"
                            },
                            "total": "0.00",
                            "count": 0
                        },
                        "total": {
                            "label": {
                                "arabic": "المجموع",
                                "english": "Total"
                            },
                            "total": "0.00",
                            "count": 0
                        }
                    },
                    "host": {
                        "credit": {
                            "label": {
                                "arabic": "دائن",
                                "english": "Credit"
                            },
                            "total": "0.00",
                            "count": 0
                        },
                        "debit": {
                            "label": {
                                "arabic": "مدين",
                                "english": "Debit"
                            },
                            "total": "0.00",
                            "count": 0
                        },
                        "total": {
                            "label": {
                                "arabic": "المجموع",
                                "english": "Total"
                            },
                            "total": "0.00",
                            "count": 0
                        }
                    },
                    "is_balanced": true
                },
                {
                    "name": {
                        "label": {
                            "english": "GCCNET",
                            "arabic": "الشبكة الخليجية"
                        },
                        "value": "GN"
                    },
                    "pos": {
                        "credit": {
                            "label": {
                                "arabic": "دائن",
                                "english": "Credit"
                            },
                            "total": "0.00",
                            "count": 0
                        },
                        "debit": {
                            "label": {
                                "arabic": "مدين",
                                "english": "Debit"
                            },
                            "total": "0.00",
                            "count": 0
                        },
                        "total": {
                            "label": {
                                "arabic": "المجموع",
                                "english": "Total"
                            },
                            "total": "0.00",
                            "count": 0
                        }
                    },
                    "host": {
                        "credit": {
                            "label": {
                                "arabic": "دائن",
                                "english": "Credit"
                            },
                            "total": "0.00",
                            "count": 0
                        },
                        "debit": {
                            "label": {
                                "arabic": "مدين",
                                "english": "Debit"
                            },
                            "total": "0.00",
                            "count": 0
                        },
                        "total": {
                            "label": {
                                "arabic": "المجموع",
                                "english": "Total"
                            },
                            "total": "0.00",
                            "count": 0
                        }
                    },
                    "is_balanced": true
                }
            ],
            "currency": {
                "arabic": "ر.س",
                "english": "SAR"
            },
            "system_trace_audit_number": "000044"
        }
    }
}